HtmlDropSupport (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlDropSupport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlDropSupport

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.richfaces.component.UIDropSupport
                          org.richfaces.component.html.HtmlDropSupport

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, org.richfaces.component.Dropzone, org.richfaces.event.DropSource

    public class HtmlDropSupport

extends UIDropSupport

Component-Type org.richfaces.DropSupport Component-Family org.richfaces.DropSupport Renderer-Type org.richfaces.DropSupportRenderer

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlDropSupport()` Constructor to init default renderers

Method Summary
`java.lang.Object` | `getAcceptedTypes()` List of drag types to be processed by the current drop zone Getter for acceptedTypes
`java.lang.Object` | `getData()` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`java.lang.String` | `getDisableDefault()` Disable default action for target event (append "return false;" to JavaScript) Getter for disableDefault
`javax.faces.el.MethodBinding` | `getDropListener()` MethodBinding representing an action listener method that will be notified after drop operation.
`java.lang.Object` | `getDropValue()` Data to be processed after a drop event Getter for dropValue
`java.lang.String` | `getEventsQueue()` Name of requests queue to avoid send next request before complete other from same event.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()` id of element to set focus after request completed on client side Getter for focus
`java.lang.String` | `getOnbeforedomupdate()` JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate
`java.lang.String` | `getOncomplete()` JavaScript code for call after request completed on client side Getter for oncomplete
`java.lang.String` | `getOndragenter()` A JavaScript event handler called on enter draggable object to zone Getter for ondragenter
`java.lang.String` | `getOndragexit()` A JavaScript event handler called after a drag object leaves zone Getter for ondragexit
`java.lang.String` | `getOndrop()` A JavaScript event handler called after a drag object is dropped to zone Getter for ondrop
`java.lang.String` | `getOndropend()` A JavaScript handler for event fired on a drop even the drop for a given type is not available Getter for ondropend
`java.lang.String` | `getOnsubmit()` JavaScript code for call before submission of ajax event Getter for onsubmit
`int` | `getRequestDelay()` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`java.lang.Object` | `getReRender()` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`java.lang.String` | `getStatus()` ID (in format of call UIComponent.findComponent()) of Request status component Getter for status
`int` | `getTimeout()` Response waiting time on a particular request.
`java.lang.Object` | `getTypeMapping()` Map between a draggable type and an indicator name on zone.
`boolean` | `isAjaxSingle()` if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle
`boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
`boolean` | `isIgnoreDupResponses()` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already.
`boolean` | `isLimitToList()` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAcceptedTypes(java.lang.Object __acceptedTypes)` List of drag types to be processed by the current drop zone Setter for acceptedTypes
`void` | `setAjaxSingle(boolean __ajaxSingle)` if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle
`void` | `setBypassUpdates(boolean __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
`void` | `setData(java.lang.Object __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`void` | `setDisableDefault(java.lang.String __disableDefault)` Disable default action for target event (append "return false;" to JavaScript) Setter for disableDefault
`void` | `setDropListener(javax.faces.el.MethodBinding __dropListener)` MethodBinding representing an action listener method that will be notified after drop operation.
`void` | `setDropValue(java.lang.Object __dropValue)` Data to be processed after a drop event Setter for dropValue
`void` | `setEventsQueue(java.lang.String __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFocus(java.lang.String __focus)` id of element to set focus after request completed on client side Setter for focus
`void` | `setIgnoreDupResponses(boolean __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already.
`void` | `setLimitToList(boolean __limitToList)` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)` JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate
`void` | `setOncomplete(java.lang.String __oncomplete)` JavaScript code for call after request completed on client side Setter for oncomplete
`void` | `setOndragenter(java.lang.String __ondragenter)` A JavaScript event handler called on enter draggable object to zone Setter for ondragenter
`void` | `setOndragexit(java.lang.String __ondragexit)` A JavaScript event handler called after a drag object leaves zone Setter for ondragexit
`void` | `setOndrop(java.lang.String __ondrop)` A JavaScript event handler called after a drag object is dropped to zone Setter for ondrop
`void` | `setOndropend(java.lang.String __ondropend)` A JavaScript handler for event fired on a drop even the drop for a given type is not available Setter for ondropend
`void` | `setOnsubmit(java.lang.String __onsubmit)` JavaScript code for call before submission of ajax event Setter for onsubmit
`void` | `setRequestDelay(int __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`void` | `setReRender(java.lang.Object __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`void` | `setStatus(java.lang.String __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setTimeout(int __timeout)` Response waiting time on a particular request.
`void` | `setTypeMapping(java.lang.Object __typeMapping)` Map between a draggable type and an indicator name on zone.

Methods inherited from class org.richfaces.component.UIDropSupport
`addDropListener, broadcast, getDropListeners, queueEvent, removeDropListener`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, getAjaxListeners, getSingleComponent, removeAjaxListener, setupReRender, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlDropSupport

    public HtmlDropSupport()

  Constructor to init default renderers

Method Detail

### setOndragenter

    public void setOndragenter(java.lang.String __ondragenter)

  A JavaScript event handler called on enter draggable object to zone Setter for ondragenter

  Parameters:
    `ondragenter` - - new value

### getOndragenter

    public java.lang.String getOndragenter()

  A JavaScript event handler called on enter draggable object to zone Getter for ondragenter

  Returns:
    ondragenter value from local variable or value bindings

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

  JavaScript code for call after request completed on client side Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### getOncomplete

    public java.lang.String getOncomplete()

  JavaScript code for call after request completed on client side Getter for oncomplete

  Returns:
    oncomplete value from local variable or value bindings

### setReRender

    public void setReRender(java.lang.Object __reRender)

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender

  Parameters:
    `reRender` - - new value

### getReRender

    public java.lang.Object getReRender()

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Getter for reRender

  Returns:
    reRender value from local variable or value bindings

### setFocus

    public void setFocus(java.lang.String __focus)

  id of element to set focus after request completed on client side Setter for focus

  Parameters:
    `focus` - - new value

### getFocus

    public java.lang.String getFocus()

  id of element to set focus after request completed on client side Getter for focus

  Returns:
    focus value from local variable or value bindings

### setDisableDefault

    public void setDisableDefault(java.lang.String __disableDefault)

  Disable default action for target event (append "return false;" to JavaScript) Setter for disableDefault

  Parameters:
    `disableDefault` - - new value

### getDisableDefault

    public java.lang.String getDisableDefault()

  Disable default action for target event (append "return false;" to JavaScript) Getter for disableDefault

  Returns:
    disableDefault value from local variable or value bindings

### setBypassUpdates

    public void setBypassUpdates(boolean __bypassUpdates)

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates

  Parameters:
    `bypassUpdates` - - new value

### isBypassUpdates

    public boolean isBypassUpdates()

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Getter for bypassUpdates

  Returns:
    bypassUpdates value from local variable or value bindings

### setOndropend

    public void setOndropend(java.lang.String __ondropend)

  A JavaScript handler for event fired on a drop even the drop for a given type is not available Setter for ondropend

  Parameters:
    `ondropend` - - new value

### getOndropend

    public java.lang.String getOndropend()

  A JavaScript handler for event fired on a drop even the drop for a given type is not available Getter for ondropend

  Returns:
    ondropend value from local variable or value bindings

### setLimitToList

    public void setLimitToList(boolean __limitToList)

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Setter for limitToList

  Parameters:
    `limitToList` - - new value

### isLimitToList

    public boolean isLimitToList()

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Getter for limitToList

  Returns:
    limitToList value from local variable or value bindings

### setAjaxSingle

    public void setAjaxSingle(boolean __ajaxSingle)

  if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### isAjaxSingle

    public boolean isAjaxSingle()

  if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle

  Returns:
    ajaxSingle value from local variable or value bindings

### setOnsubmit

    public void setOnsubmit(java.lang.String __onsubmit)

  JavaScript code for call before submission of ajax event Setter for onsubmit

  Parameters:
    `onsubmit` - - new value

### getOnsubmit

    public java.lang.String getOnsubmit()

  JavaScript code for call before submission of ajax event Getter for onsubmit

  Returns:
    onsubmit value from local variable or value bindings

### setOndrop

    public void setOndrop(java.lang.String __ondrop)

  A JavaScript event handler called after a drag object is dropped to zone Setter for ondrop

  Parameters:
    `ondrop` - - new value

### getOndrop

    public java.lang.String getOndrop()

  A JavaScript event handler called after a drag object is dropped to zone Getter for ondrop

  Returns:
    ondrop value from local variable or value bindings

### setTimeout

    public void setTimeout(int __timeout)

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout

  Parameters:
    `timeout` - - new value

### getTimeout

    public int getTimeout()

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Getter for timeout

  Returns:
    timeout value from local variable or value bindings

### setAcceptedTypes

    public void setAcceptedTypes(java.lang.Object __acceptedTypes)

  List of drag types to be processed by the current drop zone Setter for acceptedTypes

  Parameters:
    `acceptedTypes` - - new value

### getAcceptedTypes

    public java.lang.Object getAcceptedTypes()

  List of drag types to be processed by the current drop zone Getter for acceptedTypes

  Returns:
    acceptedTypes value from local variable or value bindings

### setDropValue

    public void setDropValue(java.lang.Object __dropValue)

  Data to be processed after a drop event Setter for dropValue

  Parameters:
    `dropValue` - - new value

### getDropValue

    public java.lang.Object getDropValue()

  Data to be processed after a drop event Getter for dropValue

  Returns:
    dropValue value from local variable or value bindings

### setDropListener

    public void setDropListener(javax.faces.el.MethodBinding __dropListener)

  MethodBinding representing an action listener method that will be notified after drop operation. Setter for dropListener

  Parameters:
    `dropListener` - - new value

### getDropListener

    public javax.faces.el.MethodBinding getDropListener()

  MethodBinding representing an action listener method that will be notified after drop operation. Getter for dropListener

  Returns:
    dropListener value from local variable or value bindings

### setStatus

    public void setStatus(java.lang.String __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### getStatus

    public java.lang.String getStatus()

  ID (in format of call UIComponent.findComponent()) of Request status component Getter for status

  Returns:
    status value from local variable or value bindings

### setRequestDelay

    public void setRequestDelay(int __requestDelay)

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay

  Parameters:
    `requestDelay` - - new value

### getRequestDelay

    public int getRequestDelay()

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Getter for requestDelay

  Returns:
    requestDelay value from local variable or value bindings

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue

  Parameters:
    `eventsQueue` - - new value

### getEventsQueue

    public java.lang.String getEventsQueue()

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Getter for eventsQueue

  Returns:
    eventsQueue value from local variable or value bindings

### setOndragexit

    public void setOndragexit(java.lang.String __ondragexit)

  A JavaScript event handler called after a drag object leaves zone Setter for ondragexit

  Parameters:
    `ondragexit` - - new value

### getOndragexit

    public java.lang.String getOndragexit()

  A JavaScript event handler called after a drag object leaves zone Getter for ondragexit

  Returns:
    ondragexit value from local variable or value bindings

### setData

    public void setData(java.lang.Object __data)

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data

  Parameters:
    `data` - - new value

### getData

    public java.lang.Object getData()

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Getter for data

  Returns:
    data value from local variable or value bindings

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

  JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate

  Returns:
    onbeforedomupdate value from local variable or value bindings

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses

  Returns:
    ignoreDupResponses value from local variable or value bindings

### setTypeMapping

    public void setTypeMapping(java.lang.Object __typeMapping)

  Map between a draggable type and an indicator name on zone. it's defined with the pair (drag type:indicator name)) Setter for typeMapping

  Parameters:
    `typeMapping` - - new value

### getTypeMapping

    public java.lang.Object getTypeMapping()

  Map between a draggable type and an indicator name on zone. it's defined with the pair (drag type:indicator name)) Getter for typeMapping

  Returns:
    typeMapping value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UICommand`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.